regex-applicative-0.3.4: Regex-based parsing with applicative interface

Copyright | (c) Roman Cheplyaka
License | MIT
Maintainer | Roman Cheplyaka <roma@ro-che.info>
Stability | experimental
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Regex.Applicative.Reference

Description

Reference implementation (using backtracking).

This is exposed for testing purposes only!

Synopsis

- reference :: RE s a -> [s] -> Maybe a

# Documentation

reference :: RE s a -> [s] -> Maybe a Source #

`reference` `r` `s` should give the same results as `s` `=~` `r`.

However, this is not very efficient implementation and is supposed to be used for testing only.